ISGRAPH(3)

NAME
isgraph, isgraph_l - printing single-byte character test (space character exclusive)

SYNOPSIS
#include <ctype.h>
int
isgraph(int c);
int
isgraph_l(int c, locale_t locale);

DESCRIPTION
The isgraph() and isgraph_l() functions tests for any printing character except space (‘ ’).

In the C locale, the complete list of printing characters consists of the characters numbered 0x21–0x7e, which is the union of the characters for which isalnum(3) or ispunct(3) is true. OpenBSD always uses the C locale for these functions, ignoring the global locale, the thread-specific locale, and the locale argument.

RETURN VALUES
These functions return zero if the character tests false or non-zero if the character tests true.

ENVIRONMENT
On systems supporting non-ASCII single-byte character encodings, results of these functions may differ, and the results of isgraph() may depend on the LC_CTYPE locale(1).

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), iswgraph(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isgraph() function conforms to ansiC, and isgraph_l() to p1003.1-2008.

HISTORY
The isgraph() function first appeared in AT&T UNIX III, and isgraph_l() has been available since OpenBSD 6.2.

CAVEATS
The argument c must be EOF or representable as an unsigned char; otherwise, the result is undefined.